export default LegendCaption;
declare function LegendCaption({ className, title, description, getHref, icon, actionButtons, onSelectTitle, width, }: {
    className: any;
    title: any;
    description: any;
    getHref: any;
    icon: any;
    actionButtons: any;
    onSelectTitle: any;
    width: any;
}): import("react/jsx-runtime").JSX.Element;
declare namespace LegendCaption {
    export { propTypes };
}
declare namespace propTypes {
    let className: PropTypes.Requireable<string>;
    let title: PropTypes.Requireable<string>;
    let description: PropTypes.Requireable<string>;
    let getHref: PropTypes.Requireable<(...args: any[]) => any>;
    let icon: PropTypes.Requireable<object>;
    let actionButtons: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    let onSelectTitle: PropTypes.Requireable<(...args: any[]) => any>;
    let width: PropTypes.Requireable<number>;
}
import PropTypes from "prop-types";
